Name:           catatonit
Version:        0.2.0
Release:        1
Summary:        A signal-forwarding process manager for containers
License:        GPL-2.0-or-later
URL:            https://github.com/openSUSE/catatonit
Source0:        https://github.com/openSUSE/catatonit/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  file
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool

%description
Catatonit is a /sbin/init program for use within containers. It
forwards (almost) all signals to the spawned child, tears down
the container when the spawned child exits, and otherwise
cleans up other exited processes (zombies).

This is a reimplementation of other container init programs (such as
"tini" or "dumb-init"), but uses modern Linux facilities (such as
signalfd(2)) and has no additional features.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%{__make} %{?_smp_mflags}

# Make sure we *always* build a static binary. Otherwise we'll break containers
# that don't have the necessary shared libs.
file ./%{name} | grep 'statically linked'
if [ $? != 0 ]; then
   echo "ERROR: %{name} binary must be statically linked!"
   exit 1
fi

%install
install -dp %{buildroot}%{_libexecdir}/%{name}
install -p %{name} %{buildroot}%{_libexecdir}/%{name}
install -dp %{buildroot}%{_libexecdir}/podman
ln -s %{_libexecdir}/%{name}/%{name} %{buildroot}%{_libexecdir}/podman/%{name}

%files
%license COPYING
%doc README.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}

%changelog
* Tue Jan 16 2024 lijian <lijian2@kylinos.com> - 0.2.0-1
- upgrade to 0.2.0

* Sat Mar 26 2022 fushanqing <fushanqing@kylinos.cn> - 0.1.7-2
- repair build error

* Mon Nov 22 2021 Li Jingwei <lijingwei@uniontech.com> - 0.1.7-1
- package init
